Solved thread

This post is marked as solved. If you think the information contained on this thread must be part of the official documentation, please contribute submitting a pull request to its repository.

WAMP install problem (solved), but what is NTS?

Hi all,

I was preparing the post below as I struggled to set up Phalcon and discovered this post http://forum.phalconphp.com/discussion/2195/how-to-trouble-shoot-installation-problem and found the solution also solved my problem. I am continuing to post this just in case others face the same problem and also to understand if anyone can explain why Phalcon 1.2.6 - Windows x86 for PHP 5.4.0 (VC9) worked for me but Phalcon 1.2.6 - Windows x86 for PHP 5.4.0 NTS (VC9) didn't (i.e. why did the file without NTS work, what is the difference?). I would hope this might help others choose the right package if the difference is more obvious to beginners like myself, setting up on a commonly used environment such as WAMP.

Original question:

I have a wamp installation and it shows this error in the apache error log when it starts up: > PHP Warning: PHP Startup: Unable to load dynamic library 'c:/wamp/bin/php/php5.4.16/ext/php%5Fphalcon.dll' - The specified module could not be found.\r\n in Unknown on line 0

My phpinfo() shows: Compiler MSVC9 (Visual C++ 2008)

I downloaded and tried archives: Phalcon 1.2.6 - Windows x86 for PHP 5.3.9 NTS (VC9) and Phalcon 1.2.6 - Windows x86 for PHP 5.4.0 NTS (VC9) extracting the file to C:\wamp\bin\php\php5.4.16\ext

Added extension=php_phalcon.dll to the very bottom of both C:\wamp\bin\php\php5.4.16\php.ini and C:\wamp\bin\apache\Apache2.4.4\bin\php.ini

Sadly when I restarted all services from the WAMP icon I got the error shown above.

Running windows 7 32-bit WAMP: Apache Version 2.4.4, PHP Version 5.4.16



940
Accepted
answer

There are two builds: thread-safe, and NTS (non-thread-safe version).

here is a nice explanation: http://stackoverflow.com/questions/1623914/what-is-thread-safe-or-non-thread-safe-in-php